Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Content

Update Content
PATCH /contentmodules/{moduleId}/content/{contentId}
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content/{contentId}
Update a content post with contentId in a module with moduleId.
Accepts a JsonPatch request in the body and replaces provided fields.

The following fields are allowed to be updated:
categoryId, locales, mediaIds, permissions, and notifications

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"357d2c5c-e818-426e-a61e-5012a9e2b735","path":"/categoryId","op":"replace"},{"value":[{"culture":"da-DK","title":"Title","bodyText":"Body text"}],"path":"/locales","op":"replace"},{"value":["3fbb55d6-5f25-4ce3-8025-8a6abb44bf56"],"path":"/mediaIds","op":"replace"},{"value":[{"userGroups":[],"departments":[],"requireAllUserGroups":false}],"path":"/permissions","op":"replace"},{"value":{"sendNotification":false,"sendPushNotification":false,"forceInstantPush":false},"path":"/notifications","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"59153bf4-63bf-4ec8-873a-6a555d3fd565","url":null,"userId":"dc17cb31-7d1c-42c8-b511-6a5c97677476","userUrl":null,"categoryId":"d239f394-da9a-4d8b-97b1-79ef1f12a8f2","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-10-19T14:35:40.7101524+00:00","lastModifiedDateTime":"2026-10-20T10:35:40.7101524+00:00","availableFrom":"2026-10-20T14:35:40","startDateTimeZone":null,"availableUntil":"2026-10-21T14:35:40","endDateTimeZone":null,"medias":[{"id":"ec90ffdf-6e75-4151-b149-c0de52613b71","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"2477f346-380b-4c4d-879d-9f57880a480e","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"00b6b627-8415-4199-a783-d04beda171b2","url":null},{"type":"Department","name":"Department name example","id":"2bd08eca-c349-4cb4-9f32-ac2bb372e40b","url":null},{"type":"User group","name":"User group name example","id":"7aef0518-21df-4028-a671-6a49b1fdd760","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"7e9c7260-c806-4535-8239-c671c41a696c"}],"userGroups":[{"url":null,"name":"User group name example","id":"5202fc70-6a33-4d02-9b99-5e1566c36a22"}],"requireAllUserGroups":false}]}}
object
  ⯈ data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    bodyText string      
    culture string      
    title string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   ⯈ permissions array[object]      
    ⯈ departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    ⯈ userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string